program CursorAnimation;

	uses
		CursorCtl;

{This demo test shows how to use a beach ball cursor with Lightspeed Pascal.  This program and the accompanying}
{cursor control unit have been modified from a unit I downloaded from a network one day.  I would like to give credit}
{to Chris Reed of San Angelo, Texas.  Because he asked not to distribute modified copies of his work, I'm uploading this}
{as mine.  I needed to use the routines in my application, but some modifications were necessary to make them}
{commercially sound, especially exception handling.  Mr. Reed's routines would crash if the "acur" or related  resources}
{were not in the resource file or could not be loaded.  Also, his routines used SetUpA5 and RestoreA5 routines which are}
{buggy (tech note 208).  Finally, my routines accept the speed of animation as a parameter, and can be used with any}
{valid "acur" resource as long as it contains the IDs of all related "CURS" resources and those resources are in the}
{resource file also.}
{Please use these routines as you please and if you'd like some other hints or helpful examples drop me a memo.}

{Yasser Farra}
{Box 7351}
{Austin, TX 78713}
{AppleLink: D3002}
{GEnie: Y.FARRA}

begin
	InitCursAnimation(0);	{If "acur" resource 0, or the associated "CURS" resources not found, watch cursor will be used}
	AnimateCursor(6);	{Number of ticks between consecutive frames}

{Do some processing here}
	repeat
	until button;

	StopCursor;
end.